pcl::octree::OctreeLeafNode< ContainerT > Class Template Reference

Abstract octree leaf class More...

`#include <pcl/octree/octree_nodes.h>`

Inheritance diagram for pcl::octree::OctreeLeafNode< ContainerT >:

## Public Member Functions

| OctreeLeafNode ()
| Empty constructor. More...
| OctreeLeafNode (const OctreeLeafNode &source)
| Copy constructor. More...
virtual | ~OctreeLeafNode ()
| Empty deconstructor. More...
virtual OctreeLeafNode< ContainerT > * | deepCopy () const
| Method to perform a deep copy of the octree. More...
virtual node_type_t | getNodeType () const
| Get the type of octree node. More...
const ContainerT * | operator-> () const
| Get const pointer to container. More...
ContainerT * | operator-> ()
| Get pointer to container. More...
const ContainerT & | operator* () const
| Get const reference to container. More...
ContainerT & | operator* ()
| Get reference to container. More...
const ContainerT & | getContainer () const
| Get const reference to container. More...
ContainerT & | getContainer ()
| Get reference to container. More...
const ContainerT * | getContainerPtr () const
| Get const pointer to container. More...
ContainerT * | getContainerPtr ()
| Get pointer to container. More...
Public Member Functions inherited from pcl::octree::OctreeNode
| OctreeNode ()
virtual | ~OctreeNode ()

## Protected Attributes

ContainerT | container_

## Detailed Description

### template<typename ContainerT>
class pcl::octree::OctreeLeafNode< ContainerT >

Abstract octree leaf class

Note
  Octree leafs may collect data of type DataT

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 97 of file octree_nodes.h.

## Constructor & Destructor Documentation

## OctreeLeafNode() [1/2]

template<typename ContainerT>

pcl::octree::OctreeLeafNode< ContainerT >::OctreeLeafNode | ( |  | ) |

inline

Empty constructor.

Definition at line 102 of file octree_nodes.h.

## OctreeLeafNode() [2/2]

template<typename ContainerT>

pcl::octree::OctreeLeafNode< ContainerT >::OctreeLeafNode | ( | const OctreeLeafNode< ContainerT > & | source | ) |

inline

Copy constructor.

Definition at line 108 of file octree_nodes.h.

References pcl::octree::OctreeLeafNode< ContainerT >::container_.

## ~OctreeLeafNode()

template<typename ContainerT>

virtual pcl::octree::OctreeLeafNode< ContainerT >::~OctreeLeafNode | ( |  | ) |

inline virtual

Empty deconstructor.

Definition at line 116 of file octree_nodes.h.

## Member Function Documentation

## deepCopy()

template<typename ContainerT>

virtual OctreeLeafNode<ContainerT>* pcl::octree::OctreeLeafNode< ContainerT >::deepCopy | ( |  | ) | const

inline virtual

Method to perform a deep copy of the octree.

Implements pcl::octree::OctreeNode.

Definition at line 122 of file octree_nodes.h.

## getContainer() [1/2]

template<typename ContainerT>

const ContainerT& pcl::octree::OctreeLeafNode< ContainerT >::getContainer | ( |  | ) | const

inline

Get const reference to container.

Definition at line 164 of file octree_nodes.h.

Referenced by pcl::octree::OctreePointCloudVoxelCentroid< PointT, LeafContainerT, BranchContainerT >::getVoxelCentroidsRecursive().

## getContainer() [2/2]

template<typename ContainerT>

ContainerT& pcl::octree::OctreeLeafNode< ContainerT >::getContainer | ( |  | ) |

inline

Get reference to container.

Definition at line 171 of file octree_nodes.h.

## getContainerPtr() [1/2]

template<typename ContainerT>

const ContainerT* pcl::octree::OctreeLeafNode< ContainerT >::getContainerPtr | ( |  | ) | const

inline

Get const pointer to container.

Definition at line 178 of file octree_nodes.h.

Referenced by pcl::octree::OctreeBase< LeafContainerT, BranchContainerT >::createLeaf(), pcl::octree::Octree2BufBase< LeafContainerT, BranchContainerT >::createLeaf(), pcl::octree::OctreeBase< LeafContainerT, BranchContainerT >::findLeafRecursive(), pcl::octree::Octree2BufBase< LeafContainerT, BranchContainerT >::findLeafRecursive(), pcl::octree::OctreeBase< LeafContainerT, BranchContainerT >::serializeTreeRecursive(), and pcl::octree::Octree2BufBase< LeafContainerT, BranchContainerT >::serializeTreeRecursive().

## getContainerPtr() [2/2]

template<typename ContainerT>

ContainerT* pcl::octree::OctreeLeafNode< ContainerT >::getContainerPtr | ( |  | ) |

inline

Get pointer to container.

Definition at line 185 of file octree_nodes.h.

## getNodeType()

template<typename ContainerT>

virtual node_type_t pcl::octree::OctreeLeafNode< ContainerT >::getNodeType | ( |  | ) | const

inline virtual

Get the type of octree node.

Returns LEAVE_NODE type

Implements pcl::octree::OctreeNode.

Definition at line 129 of file octree_nodes.h.

References pcl::octree::LEAF_NODE.

## operator*() [1/2]

template<typename ContainerT>

const ContainerT& pcl::octree::OctreeLeafNode< ContainerT >::operator* | ( |  | ) | const

inline

Get const reference to container.

Definition at line 150 of file octree_nodes.h.

## operator*() [2/2]

template<typename ContainerT>

ContainerT& pcl::octree::OctreeLeafNode< ContainerT >::operator* | ( |  | ) |

inline

Get reference to container.

Definition at line 157 of file octree_nodes.h.

## operator->() [1/2]

template<typename ContainerT>

const ContainerT* pcl::octree::OctreeLeafNode< ContainerT >::operator-> | ( |  | ) | const

inline

Get const pointer to container.

Definition at line 136 of file octree_nodes.h.

## operator->() [2/2]

template<typename ContainerT>

ContainerT* pcl::octree::OctreeLeafNode< ContainerT >::operator-> | ( |  | ) |

inline

Get pointer to container.

Definition at line 143 of file octree_nodes.h.

## Member Data Documentation

## container_

template<typename ContainerT>

ContainerT pcl::octree::OctreeLeafNode< ContainerT >::container_

protected

Definition at line 191 of file octree_nodes.h.

Referenced by pcl::octree::OctreeLeafNode< ContainerT >::OctreeLeafNode().

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/octree/include/pcl/octree/octree_nodes.h